gnutls_privkey_set_pin_function(3)

NAME
gnutls_privkey_set_pin_function - API function

SYNOPSIS
#include <gnutls/abstract.h>

void gnutls_privkey_set_pin_function(gnutls_privkey_t key, gnutls_pin_callback_t fn, void * userdata);

ARGUMENTS

gnutls_privkey_t key
    A key of type gnutls_privkey_t

gnutls_pin_callback_t fn
    the callback

void * userdata
    data associated with the callback

DESCRIPTION
This function will set a callback function to be used when required to access the object. This function overrides any other global PIN functions. Note that this function must be called right after initialization to have effect.

SINCE
3.1.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2019 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/